Bug 108990 - Kernel panic on boot, looking at code now
Kernel panic on boot, looking at code now
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 21:41 EST by Justin M. Forbes
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2163
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-04 15:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin M. Forbes 2003-11-03 21:41:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030626

Description of problem:
root (hd0,3)
 Filesystem type is ext2fs, partition type 0x83
kernel /boot/vmlinuz-2.4.22-1.2116.nptl  ro root=LABEL=fedora64
hdc=ide-scsi ac
pi=off console=tty0 console=ttyS0,9600n8
   [Linux-bzImage, setup=0x1400, size=0x13f88f]
initrd /boot/initrd-2.4.22-1.2116.nptl.img
   [Linux-initrd @ 0x37f6a000, 0x85472 bytes]

ok
Bootdata ok (command line is ro root=LABEL=fedora64 hdc=ide-scsi
acpi=off console=tty0 console=ttyS0,9600n8)
Linux version 2.4.22-1.2116.nptl (bhcompile@dolly.devel.redhat.com)
(gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Mon Nov 3 11:13
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
 BIOS-e820: 000000003fff0000 - 000000003fff3000 (ACPI NVS)
 BIOS-e820: 000000003fff3000 - 0000000040000000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
kernel direct mapping tables upto 10100000000 @ 8000-c000
Scan SMP from 0000010000000000 for 1024 bytes.
Scan SMP from 000001000009fc00 for 1024 bytes.
Scan SMP from 00000100000f0000 for 65536 bytes.
found SMP MP-table at 00000000000f4e20
hm, page 000f4000 reserved twice.
hm, page 000f5000 reserved twice.
hm, page 000f0000 reserved twice.
hm, page 000f1000 reserved twice.
On node 0 totalpages: 262128
zone(0): 4096 pages.
zone(1): 258032 pages.
zone(2): 0 pages.
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: OEM00000 Product ID: PROD00000000 APIC at: 0xFEE00000
Processor #0 15:4 APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
Processors: 1
Kernel command line: ro root=LABEL=fedora64 hdc=ide-scsi acpi=off
console=tty0 console=ttyS0,9600n8
ide_setup: hdc=ide-scsi
Initializing CPU#0
spurious 8259A interrupt: IRQ7.
time.c: Detected 1.193182 MHz PIT timer.
time.c: Detected 1994.858 MHz TSC timer.
Console: colour VGA+ 80x25
Calibrating delay loop... 3984.58 BogoMIPS
Memory: 1020848k/1048512k available (1590k kernel code, 27276k
reserved, 1537k data, 132k init)
Dentry cache hash table entries: 131072 (order: 9, 2097152 bytes)
Inode cache hash table entries: 65536 (order: 8, 1048576 bytes)
Mount cache hash table entries: 256 (order: 0, 4096 bytes)
Buffer cache hash table entries: 65536 (order: 7, 524288 bytes)
Page-cache hash table entries: 262144 (order: 9, 2097152 bytes)
CPU: L1 I Cache: 64K (64 bytes/line/2 way), D cache 64K (64
bytes/line/2 way)
CPU: L2 Cache: 1024K (64 bytes/line/8 way)
Machine Check Reporting enabled for CPU#0
POSIX conformance testing by UNIFIX
testing NMI watchdog ... OK.
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
..TIMER: vector=0x31 pin1=2 pin2=0
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found pin 0) ...works.
testing the IO APIC.......................

.................................... done.
Using local APIC timer interrupts.
Detected 12.467 MHz APIC timer.
cpu: 0, clocks: 1994857, slice: 997428
CPU0<T0:1994848,T1:997408,D:12,S:997428,C:1994857>
mtrr: v2.02 (20020716))
ACPI: Subsystem revision 20031002
ACPI: Interpreter disabled.
PCI: Using configuration type 1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unable to handle kernel NULL pointer dereference at virtual address
0000000000000000
 printing rip:
ffffffff801c4695
PML4 0
Oops: 0000
CPU 0
Pid: 1, comm: swapper Not tainted
RIP: 0010:[<ffffffff801c4695>]{acpi_pci_link_calc_penalties+32}
RSP: 0000:0000010002619ef8  EFLAGS: 00010246
RAX: ffffffff803b7000 RBX: ffffffff803ab520 RCX: 0000000000000000
RDX: 0000000000000400 RSI: ffffffff803b7000 RDI: ffffffff803b7400
RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff804d2e00(0000)
knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 1, stackpage=10002619000)
Stack: 0000010002619ef8 0000000000000000 ffffffff801c468e 000000000000001d
       ffffffff804ea036 ffffffff803ab520 ffffffff80116e74 0000000000000000
       ffffffff8020efd6 0000000000000000 ffffffff804dd6d8 0000010002618000
       ffffffff8010c05b 0000000000000000 ffffffff80110705 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000 00000000ffffffff 000000000000000e
       000000000000000d 0000000000000000 ffffffff804da000 0000000000000e00
       0000000000000000 ffffffff8010c050 0000000000000000 ffffffff801106fd
       0000000000000010 0000000000000200 0000010002619f58 0000000000000000
Call Trace: [<ffffffff801c468e>]{acpi_pci_link_calc_penalties+25}
       [<ffffffff80116e74>]{pcibios_init+84}
[<ffffffff8020efd6>]{pci_init+6}
       [<ffffffff8010c05b>]{init+11} [<ffffffff80110705>]{child_rip+8}
       [<ffffffff8010c050>]{init+0} [<ffffffff801106fd>]{child_rip+0}


Code: 48 8b 01 48 81 f9 48 ab 46 80 0f 18 08 74 68 0f b6 41 20 c6
 <0>Kernel panic: Attempted to kill init!


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2116.nptl x86_64

How reproducible:
Always

Steps to Reproduce:
1. install kernel
2. boot
3.
    

Actual Results:  panic listed above

Expected Results:  boots normally

Additional info:
Comment 1 Justin M. Forbes 2003-11-03 23:45:03 EST
Oops, kept the acpi=off in my grub.conf... leaving that out fixes the
issue.
Comment 2 Dave Jones 2003-11-20 14:28:37 EST
It still shouldn't oops, this needs fixing.
Comment 3 Jim Paradis 2003-12-09 12:45:25 EST
Can you tell me what kind of hardware you booted this on?
Comment 4 Justin M. Forbes 2003-12-09 14:00:43 EST
This was a Gigabyte K8NPro Motherboard.  With ACPI=off, this is not an
issue with the newer kernels (the 2122 I put out, and the 2129 FC1
errata)  ACPI is still broken, and after talking with AMD and with
Michael Johnson, I will be submitting a patch to add NF3 to the ACPI
blacklist.  Supposedly nVidia's reference BIOS for NF3 was broken.
Comment 5 Justin M. Forbes 2004-02-04 15:13:25 EST
2163 and later have the disable IO_APIC work around in place for NF3,
and VIA.  acpi=off is no longer required, and no oops on boot.

Note You need to log in before you can comment on or make changes to this bug.